dpkg-name(1)

NOME
dpkg-name - renomeia pacotes Debian para o nome de pacote completo

SINOPSE
dpkg-name [option...] [--] file...

DESCRIÇÃO
Este manual documenta o programa dpkg-name o qual fornece uma maneira fácil de renomear pacotes Debian nos seus nomes de pacote completos. Todos os nomes de pacote completos consistem de pacote_versão_arquitectura.tipo-de-pacote como especificado no ficheiro de controle do pacote. A parte versão do nome do ficheiro consiste da informação de versão do autor seguida opcionalmente por um hífen e a informação de revisão. A parte tipo-de-pacote vem desse campo se presente ou regressa a deb.

OPÇÕES

-a, --no-architecture
    O nome de ficheiro de destino não terá a informação de arquitectura.

-k, --symlink
    Cria um link simbólico, em vez de mover.

-o, --overwrite
    Os ficheiros existentes serão sobrescritos se tiverem o mesmo nome que o nome de ficheiro de destino.

-s, --subdir [dir]
    Os ficheiros serão movidos para um sub-directório. Se o directório dado como argumento existir, os ficheiros serão movidos para esse directório, caso contrário, o nome do directório alvo é extraído do campo section na parte de controlo do pacote. O directório alvo irá ser «unstable/binary-architecture/section». Se a section não for encontrada no controlo, então é assumido no-section, e neste caso, assim como para secções non-free e contrib o directório alvo é «section/binary-architecture». O campo section não é necessário, assim muitos pacotes irão encontrar o seu caminho até à área no-section.

    Warning: Use esta opção com cuidado, ela faz porcaria.

-c, --create-dir
    Esta opção pode ser usada em conjunto com a opção -s. Se um directório meta não for encontrado será criado automaticamente.

    Aviso Use esta opção com cuidado.

-?, --help
    Mostra a mensagem de utilização e termina.

-v, --version
    Mostra a versão e termina.

AMBIENTE

DPKG_COLORS
    Define o modo de cor (desde dpkg 1.18.5). Os valores actualmente aceites são: auto (predefinido), always e never.

DPKG_NLS
    Se definida, será usada para decidir se deve activar o Suporte a Linguagem Nativa. Também como conhecido como suporte de internacionalização (ou i18n) (desde dpkg 1.19.0). Os valores aceites são 0 e 1 (predefinição).

BUGS
Alguns pacotes não seguem a estrutura de nome pacote_versão_arquitectura.deb. Os pacotes renomeados pelo dpkg-name irá seguir estas estrutura. Geralmente isto não terá impacto sobre como os pacotes serão instalados pelos dselect(1)/dpkg(1), mas outras ferramentas de instalação podem depender desta estrutura de nomes.

EXEMPLOS

dpkg-name bar-foo.deb
    O ficheiro bar-foo.deb ir+a ser renomeado para bar-foo_1.0-2_i386.deb ou algo semelhante (dependendo de que informação estiver na parte de controle de bar-foo.deb).

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    Todos os ficheiros com a extensão deb no directório /root/debian e nos seus sub-directórios serão renomeados pelo dpkg-name se tal for requerido para nomes sem nenhuma informação de arquitectura.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Não faça isto. O seu arquivo será baralhado completamente porque muitos pacotes não vêm com informação de secção. Não faça isto.

dpkg-deb --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    Isto pode ser usado quando se compila novos pacotes.

VEJA TAMBÉM
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.